Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class NoClassDefFoundError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.NoClassDefFoundError

public class NoClassDefFoundError
extends Error

Thrown if the Java Virtual Machine tries to load in the definition of a class (as part of a normal method call or as part of creating a new instance using the `new` expression) and no definition of the class could be found.

The searched-for class definition existed when the currently executing class was compiled, but the definition can no longer be found.

Since:
  JDK1.0, CLDC 1.1

Constructor Summary
`NoClassDefFoundError()` Constructs a `NoClassDefFoundError` with no detail message.
`NoClassDefFoundError(String s)` Constructs a `NoClassDefFoundError` with the specified detail message.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoClassDefFoundError

    public NoClassDefFoundError()

  Constructs a `NoClassDefFoundError` with no detail message.

### NoClassDefFoundError

    public NoClassDefFoundError(String s)

  Constructs a `NoClassDefFoundError` with the specified detail message.

Parameters:
  `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.